print '['+CONVERT(varchar(10), GETDATE(), 4) + ' ' + CONVERT(varchar(8), GETDATE(), 108)+'] '+'...'
print ''
print '   : FossMail'
USE FossMail
GO

declare @pErrNum INT
declare @pErrDesc VARCHAR(1000)

BEGIN TRY
BEGIN TRANSACTION

declare @CurYear varchar(4) --  
set @CurYear = CONVERT(varchar(4),DATEPART(yyyy,GETDATE()))

declare @CurMonth varchar(2) --  
declare @int_CurMonth int --        : 9 -> 09
set @int_CurMonth = DATEPART(m,GETDATE())
set @CurMonth = CONVERT(varchar(2),@int_CurMonth)
if @int_CurMonth<10 set @CurMonth='0'+@CurMonth

declare @SearchDate varchar(7)
set @SearchDate = @CurYear+@CurMonth+'%'; --   .      FossMail 

print ''
print '    ['+@SearchDate+']' 

print ''
print '   MESSLIST   ' 
insert into FossMailArc.dbo.MESSLIST
	select * from dbo.MESSLIST WHERE (IT not LIKE @SearchDate)

print ''
print '   MESSLIST   IT='+@SearchDate

DECLARE CursorSearchMASSLIST CURSOR FOR SELECT ID FROM dbo.MESSLIST WHERE (IT not LIKE @SearchDate)
OPEN CursorSearchMASSLIST

DECLARE @ID_O varchar(42)

WHILE 1=1 BEGIN
  FETCH FROM CursorSearchMASSLIST INTO @ID_O
  IF @@fetch_status=-1 
      BREAK
  IF @@fetch_status=-2
      CONTINUE
	PRINT ''
	PRINT '  : '+@ID_O
	PRINT '       () FILELIST'
		insert into FossMailArc.dbo.FILELIST
			select * from dbo.FILELIST WHERE (ID = @ID_O)
	PRINT '       () FILELIST'
		delete from dbo.FILELIST WHERE (ID = @ID_O)
	PRINT '       () RECPLIST'
		insert into FossMailArc.dbo.RECPLIST
			select * from dbo.RECPLIST WHERE (ID = @ID_O)
	PRINT '       () RECPLIST'
		delete from dbo.RECPLIST WHERE (ID = @ID_O)
 END

DEALLOCATE CursorSearchMASSLIST

print ''
print '   MESSLIST' 


delete from dbo.MESSLIST WHERE (IT not LIKE @SearchDate)

COMMIT TRANSACTION

END TRY
BEGIN CATCH

-- Return Error Number and Message

SELECT @pErrNum = ERROR_NUMBER() ,@pErrDesc = ERROR_MESSAGE()
print ''
print '!!! Error #'+@pErrNum+' '+@pErrDesc

-- Rollback any active or uncommittable transactions
ROLLBACK TRANSACTION 

END CATCH


print ''
print '['+CONVERT(varchar(10), GETDATE(), 4) + ' ' + CONVERT(varchar(8), GETDATE(), 108)+'] '+' :)'